Package org.sunflow.system

## Class Timer

- java.lang.Object
- - org.sunflow.system.Timer

-     public class Timer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Timer()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `end()` |
    `long` | `nanos()` |
    `double` | `seconds()` |
    `void` | `start()` |
    `java.lang.String` | `toString()` |
    `static java.lang.String` | `toString​(double seconds)` |
    `static java.lang.String` | `toString​(long nanos)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Timer

          public Timer()

  - ### Method Detail

    - #### start

          public void start()

    - #### end

          public void end()

    - #### nanos

          public long nanos()

    - #### seconds

          public double seconds()

    - #### toString

          public static java.lang.String toString​(long nanos)

    - #### toString

          public static java.lang.String toString​(double seconds)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`